libsigc++: sigc::lambda< T_type > Struct Template Reference

libsigc++ 2.4.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
sigc::lambda< T_type > Struct Template Reference
Lambdas

Lambda type. More...

`#include <sigc++/adaptors/lambda/base.h>`

Inheritance diagram for sigc::lambda< T_type >:
[legend]

## Public Types
typedef lambda< T_type > | self

## Public Member Functions
| lambda ()
| lambda (typename type_trait< T_type >::take v)
template<class T_arg >
lambda< lambda_operator<other< assign >, self, typename unwrap_lambda_type< T_arg >::type > > | operator= (const T_arg& a) const
template<class T_arg >
lambda< lambda_operator<other< subscript >, self, typename unwrap_lambda_type< T_arg >::type > > | operator[] (const T_arg& a) const

## Detailed Description

### template<class T_type>
struct sigc::lambda< T_type >

Lambda type.

Objects of this type store a value that may be of type lambda itself. In this case, operator()() executes the lambda (a lambda is always a functor at the same time). Otherwise, operator()() simply returns the stored value. The assign and subscript operators are defined to return a lambda operator.

Deprecated:
  Use C++11 lambda expressions instead.

## Member Typedef Documentation

template <class T_type>

typedef lambda<T_type> sigc::lambda< T_type >::self

## Constructor & Destructor Documentation

template <class T_type>

sigc::lambda< T_type >::lambda | ( |  | ) |
| inline

template <class T_type>

sigc::lambda< T_type >::lambda | ( | typename type_trait< T_type >::take | v | ) |
| inline

## Member Function Documentation

template <class T_type>
template <class T_arg >

lambda<lambda_operator<other<assign>, self, typename unwrap_lambda_type<T_arg>::type> > sigc::lambda< T_type >::operator= | ( | const T_arg & | a | ) | const
| inline

template <class T_type>
template <class T_arg >

lambda<lambda_operator<other<subscript>, self, typename unwrap_lambda_type<T_arg>::type> > sigc::lambda< T_type >::operator[] | ( | const T_arg & | a | ) | const
| inline